*"表題   BARO 共通 (t-Δt)のデータをセーブ  GCM5(BASAVB)
*
*"履歴   90/08/31 沼口  敦
*"       92/04/02 竹広真一
*"       96/08/23 竹広真一
*
*
************************************************************************
*"          << (t-Δt)のデータをセーブ >>
************************************************************************
      SUBROUTINE SAVEGB
     I         ( GBU   , GBV   ,
     I           GBVOR           )
*
#if   SYS_IBMS
      INCLUDE   (ZCDIM)                  !" 格子点数, 波数
#else
#include        "zcdim.F"                    !" 格子点数, 波数
#endif
*
      REAL       GBU   ( IDIM*JDIM*KMAX )    !" 西風  ｕ(t-Δt)
      REAL       GBV   ( IDIM*JDIM*KMAX )    !" 南風  ｖ(t-Δt)
      REAL       GBVOR ( IDIM*JDIM*KMAX )    !" 渦度  ζ(t-Δt)
*
*
      REAL       GBBU  ( IDIM*JDIM*KMAX )    !" 西風  ｕ セーブ値
      REAL       GBBV  ( IDIM*JDIM*KMAX )    !" 南風  ｖ セーブ値
      REAL       GBBVOR( IDIM*JDIM*KMAX )    !" 渦度  ζ セーブ値
*
      CALL COPY ( GBBU  , GBU   , IDIM*JDIM*KMAX )
      CALL COPY ( GBBV  , GBV   , IDIM*JDIM*KMAX )
      CALL COPY ( GBBVOR, GBVOR , IDIM*JDIM*KMAX )
*
      RETURN
*======================================================================
*"          << (t-Δt)のデータをロード >>
*======================================================================
      ENTRY      LOADGB
     O         ( GBU   , GBV   ,
     O           GBVOR          )
*
      CALL COPY ( GBU   , GBBU  , IDIM*JDIM*KMAX )
      CALL COPY ( GBV   , GBBV  , IDIM*JDIM*KMAX )
      CALL COPY ( GBVOR , GBBVOR, IDIM*JDIM*KMAX )
*
      RETURN
      END
